Bug 676188 - Review Request: qmidiarp - an arpeggiator, sequencer and MIDI LFO for ALSA
Summary: Review Request: qmidiarp - an arpeggiator, sequencer and MIDI LFO for ALSA
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-09 01:36 UTC by Brendan Jones
Modified: 2011-03-06 21:25 UTC (History)
4 users (show)

Fixed In Version: qmidiarp-0.3.9-6.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-05 02:21:38 UTC
Type: ---
martin.gieseking: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Brendan Jones 2011-02-09 01:36:46 UTC
Hi 

a while back qmidiarp existed as a fairly simple MIDI arpeggiator. It has recently been re-imagined and extended and is currently under heavy development.

SRPM and SPEC file can be found here:

http://bsjones.fedorapeople.org/qmidiarp-0.3.9-1.fc14.src.rpm
http://bsjones.fedorapeople.org/qmidiarp.spec

Rpmlint output:

rpmlint ../SRPMS/qmidiarp-0.3.9-1.fc14.src.rpm 
qmidiarp.src: W: spelling-error Summary(en_US) arpeggiator -> arpeggiate, arpeggio, appoggiatura
qmidiarp.src: W: spelling-error %description -l en_US arpeggiators -> arpeggiate, arpeggios, arpeggio
qmidiarp.src: W: spelling-error %description -l en_US arp -> rap, Arp, ar
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

I will need to be sponsored as this will be my first package

thanks

Brendan Jones
FAS: bsjones

Comment 1 Mario Blättermann 2011-02-14 20:15:44 UTC
I think it's OK to leave "arpeggiator" untouched, because not all dictionaries know about all existing words.

The package has properly built on my system. Some issues regarding the spec file:

- Please use macros consistently. In "Source2" and in the "%files" section, you should replace the original package name with %{name}, as you already did in the other rows.

- If you are using spaces within key/value pairs such as "Name:" or "Version:"
please use a whitespace count which leads to a better readability. I would recommend using tabs instead of normal whitespace characters here.

- Although your package doesn't install SVG icons, the %post and %postun macros refer to the SVG folder. Don't know what to do in this case, I assume the folder path has to be changed to the correct installation folder of the icon.

Comment 2 Martin Gieseking 2011-02-14 20:57:42 UTC
(In reply to comment #1)
> - Although your package doesn't install SVG icons, the %post and %postun macros
> refer to the SVG folder. Don't know what to do in this case, I assume the
> folder path has to be changed to the correct installation folder of the icon.

Right. The spec file in the SRPM differs from the one given as a separate URL. The latter installs an SVG rather than a PNG.

The proper scriptlets to update the icon cache are listed here:
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache


Here are some additional comments:

- according to the source file headers, the license is GPLv2+

- adapt Source0 according to 
  http://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net

- replace the suffix .1.gz with .1* in %files since we should not rely on a 
  concrete compression format 

- I recommend to replace %{_datadir}/man with %{_mandir}

Comment 3 Brendan Jones 2011-02-16 02:41:07 UTC
Thanks for the suggestions and corrections! I have not used a macro in the SVG source file. It is likely to change upstream soon.

I have updated SPEC and SRPM here:

http://bsjones.fedorapeople.org/qmidiarp-0.3.9-2.fc14.src.rpm
http://bsjones.fedorapeople.org/qmidiarp.spec

rpmlint output remains unchanged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Martin Gieseking 2011-02-16 08:16:30 UTC
Hi Brendan,

the package looks almost fine. Please adapt the scriptlet parts related to updating the icon cache according to 
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache

"touch" and "gtk-update-icon-cache" should be applied to the top level icon directory (%{_datadir}/icons/hicolor).

Comment 5 Brendan Jones 2011-02-16 13:24:00 UTC
Thanks Martin. Updated links below.

http://bsjones.fedorapeople.org/qmidiarp-0.3.9-3.fc14.src.rpm
http://bsjones.fedorapeople.org/qmidiarp.spec




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Martin Gieseking 2011-02-19 13:09:52 UTC
Brendan, the package looks good now. I just recommend to insert some blank lines to increase legibility (before %prep and between the %changelog entries), but that's only cosmetic.

If you don't have a sponsor yet, I can sponsor you if you're willing to do some informal reviews of other packager's submissions. Since you've already commented on a couple of packages, you shouldn't have too many difficulties with it.

Comment 7 Brendan Jones 2011-02-22 08:02:29 UTC
Thanks Martin - that would be great! I will update the spacing soon. 
I have performed an additional informal review here: Bug 678980



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Martin Gieseking 2011-02-22 08:26:17 UTC
OK, great. I'll have a look at your review later today.

Comment 9 Martin Gieseking 2011-02-24 13:42:18 UTC
removing FE-NEEDSPONSOR

Comment 10 Martin Gieseking 2011-02-24 14:06:58 UTC
Just a minor issue that needs to be fixed before approval:
Please use either %{name} or qmidiarp in %files, don't mix them. 


$ rpmlint /var/lib/mock/fedora-14-x86_64/result/*.rpm
qmidiarp.src: W: spelling-error Summary(en_US) arpeggiator -> arpeggiate, arpeggio, appoggiatura
qmidiarp.src: W: spelling-error %description -l en_US arpeggiators -> arpeggiate, arpeggios, arpeggio
qmidiarp.src: W: spelling-error %description -l en_US arp -> rap, Arp, ar
qmidiarp.x86_64: W: spelling-error Summary(en_US) arpeggiator -> arpeggiate, arpeggio, appoggiatura
qmidiarp.x86_64: W: spelling-error %description -l en_US arpeggiators -> arpeggiate, arpeggios, arpeggio
qmidiarp.x86_64: W: spelling-error %description -l en_US arp -> rap, Arp, ar
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

The spelling errors are false positive and can be ignored.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - GPLv2+ according to source file headers

[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum qmidiarp-0.3.9.tar.bz2*
    8d857eea09cb7921d83df0745e5137e4  qmidiarp-0.3.9.tar.bz2
    8d857eea09cb7921d83df0745e5137e4  qmidiarp-0.3.9.tar.bz2.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[+] MUST: When compiling C, C++, or Fortran files, %{optflags} must be applied.
[.] MUST: The spec file MUST handle locales properly.
[+] MUST: If a package installs files below %{_datadir}/icons, the icon cache must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[X] MUST: Each package must consistently use macros.
    - either use %{name} or "qmidiarp" in %files, don't mix them

[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file.
[+] MUST: .desktop files must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

EPEL <= 5 only:
[+] MUST: The spec file must contain a valid BuildRoot field.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.
[.] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: Your package should contain man pages for binaries/scripts.

Comment 11 Brendan Jones 2011-02-24 23:05:44 UTC
Thanks again! New SPEC and SRPM here with requested changes:

http://bsjones.fedorapeople.org/qmidiarp-0.3.9-5.fc14.src.rpm
http://bsjones.fedorapeople.org/qmidiarp.spec




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 12 Martin Gieseking 2011-02-25 07:20:39 UTC
Brendan, sorry for being pedantic, but if you prefer to use the %name macro, please adapt all filenames in the %files section, including the manpages. ;)

Comment 13 Brendan Jones 2011-02-25 11:46:53 UTC
No problem! Changed here:

http://bsjones.fedorapeople.org/qmidiarp-0.3.9-6.fc14.src.rpm
http://bsjones.fedorapeople.org/qmidiarp.spec




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 14 Martin Gieseking 2011-02-25 12:59:09 UTC
OK. The package is ready now.

----------------
Package APPROVED
----------------

Comment 15 Brendan Jones 2011-02-25 20:03:23 UTC
New Package SCM Request
=======================
Package Name: qmidiarp
Short Description: An arpeggiator, sequencer and MIDI LFO for ALSA
Owners: bsjones
Branches: f13 f14 f15
InitialCC:

Comment 16 Jason Tibbitts 2011-02-26 00:23:33 UTC
Git done (by process-git-requests).

Comment 17 Fedora Update System 2011-02-26 20:46:17 UTC
Package qmidiarp-0.3.9-6.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qmidiarp-0.3.9-6.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/qmidiarp-0.3.9-6.fc15
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2011-02-26 20:49:18 UTC
Package qmidiarp-0.3.9-6.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qmidiarp-0.3.9-6.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/qmidiarp-0.3.9-6.fc14
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2011-02-26 20:50:38 UTC
Package qmidiarp-0.3.9-6.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qmidiarp-0.3.9-6.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/qmidiarp-0.3.9-6.fc13
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2011-02-27 04:50:49 UTC
qmidiarp-0.3.9-6.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qmidiarp'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/qmidiarp-0.3.9-6.fc14

Comment 21 Fedora Update System 2011-03-05 02:21:32 UTC
qmidiarp-0.3.9-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2011-03-06 21:25:02 UTC
qmidiarp-0.3.9-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2011-03-06 21:25:35 UTC
qmidiarp-0.3.9-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.